# IHostNetworkInterfaceCollection Interface Reference

List of all members.

## Public Member Functions
void | getItemAt (in unsigned long index,[retval] out IHostNetworkInterface item)
void | enumerate ([retval] out IHostNetworkInterfaceEnumerator enumerator)
void | findByName (in wstring name,[retval] out IHostNetworkInterface networkInterface)
| Searches this collection for a host network interface with the given name.
void | findById (in uuid id,[retval] out IHostNetworkInterface networkInterface)
| Searches this collection for a host network interface with the given GUID.
## Public Attributes
readonly attribute unsigned long | count

## Member Function Documentation

void IHostNetworkInterfaceCollection::getItemAt | ( | in unsigned long | index,
|  | [retval] out IHostNetworkInterface | item |
| ) |  |  |

void IHostNetworkInterfaceCollection::enumerate | ( | [retval] out IHostNetworkInterfaceEnumerator | enumerator | ) |

void IHostNetworkInterfaceCollection::findByName | ( | in wstring | name,
|  | [retval] out IHostNetworkInterface | networkInterface |
| ) |  |  |

Searches this collection for a host network interface with the given name.

Parameters:

  | name | Name of the host network interface to search for.
  | networkInterface | Found host network interface object.

Note:
  The method returns an error if the given name does not correspond to any host network interface in the collection.

void IHostNetworkInterfaceCollection::findById | ( | in uuid | id,
|  | [retval] out IHostNetworkInterface | networkInterface |
| ) |  |  |

Searches this collection for a host network interface with the given GUID.

Parameters:

  | id | GUID of the host network interface to search for.
  | networkInterface | Found host network interface object.

Note:
  The method returns an error if the given GUID does not correspond to any host network interface in the collection.

## Member Data Documentation

readonly attribute unsigned long IHostNetworkInterfaceCollection::count